﻿$packageName   = 'arq' 
$global:packageMaintainer = 'BCURRAN3'
$toolsDir      = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url           = 'https://www.arqbackup.com/download/Arq.exe' 
$checksum      = '3B3411AAC1F98E79A5DAAFAB60980B17FF891C9DA73D9703053F59BBE3912C86'
$checksumType  = 'sha256'
$UnzippedMSI   = Join-Path $toolsDir 'ArqSetup.msi'
$installerType = 'MSI'
$silentArgs    = '/passive ACCEPT=YES'
$validExitCodes= @(0, 3010, 1641)

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'ZIP' 
  url           = $url
  checksum      = $checksum
  checksumType  = $checksumType
}

Install-ChocolateyZipPackage @packageArgs

$packageArgs = @{
  packageName   = $packageName
  fileType      = 'msi'
  file          = $UnzippedMSI
  silentArgs    = $silentArgs
  validExitCodes= $validExitCodes
  softwareName  = 'Arq*'   
}

Show-Patreon "https://www.patreon.com/bcurran3"
Install-ChocolateyInstallPackage @packageArgs
Show-ToastMessage "$packageName installed." "Version $env:packageVersion."


